Schema

Get the project's published block types

GET/projects/{projectSlug}/block-types

Requires an active preview session — either the cairn_preview cookie set by createPreviewHandler, or a preview session token sent as Authorization: Bearer <token>.

Path parameters

projectSlug*stringThe project's slug

Responses

200This project's block type palette (see @cairn-cms/schema's BlockType)
401Authentication required
403Origin not allowed, or not a member of this project
404Unknown project

Request

curl "https://api.cairn.press/projects/my-project/block-types" \
  -H "Authorization: Bearer $CAIRN_PREVIEW_TOKEN"

Response · 200

[
  {}
]